<?php

namespace App\Controller\admin;

use App\Controller\AbstractController;
use App\Model\AppWebsiteConfig;
use Hyperf\HttpServer\Annotation\Controller;
use Hyperf\HttpServer\Annotation\RequestMapping;
use Hyperf\View\RenderInterface;
use Psr\Http\Message\ResponseInterface;

#[Controller(prefix: 'admin/website')]
class WebsiteController extends AbstractController
{
    /**
     * @url /admin/website/config
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'config', methods: 'get')]
    public function config(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/index');
    }

    /**
     * @url /admin/website/config/insert
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'config/insert', methods: 'get')]
    public function insert(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/insert');
    }

    /**
     * @url /admin/website/config/view
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'config/view', methods: 'get')]
    public function view(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/view');
    }

    /**
     * @url /admin/website/first-column
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'first-column', methods: 'get')]
    public function firstColumn(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/first-column/index');
    }

    /**
     * @url /admin/website/first-column/insert
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'first-column/insert', methods: 'get')]
    public function firstColumnInsert(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/first-column/insert');
    }

    /**
     * @url /admin/website/first-column/view
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'first-column/view', methods: 'get')]
    public function firstColumnView(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/first-column/view');
    }

    /**
     * @url /admin/website/second-column
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'second-column', methods: 'get')]
    public function secondColumn(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/second-column/index');
    }

    /**
     * @url /admin/website/second-column/insert
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'second-column/insert', methods: 'get')]
    public function secondColumnInsert(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/second-column/insert');
    }

    /**
     * @url /admin/website/second-column/view
     * @param RenderInterface $render
     * @return ResponseInterface
     */
    #[RequestMapping(path: 'second-column/view', methods: 'get')]
    public function secondColumnView(RenderInterface $render): ResponseInterface
    {
        return $render->render('website/second-column/view');
    }
}